<?php

/* WebMoney Merchant */

require_once($_SERVER["DOCUMENT_ROOT"]."/inc/data_filter.php");
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/connect.php");
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/payment.php");
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/price.php");

if ($wm_wmr && $wm_hash) {

    $strow = $connect->prepare("select * from `rek` where `num` = ?");
    $active = $connect->prepare("update `rek` set `status` = '1' where `num` = ?");

    if (isset($_POST['LMI_PAYEE_PURSE']) &&
        isset($_POST['LMI_PAYMENT_AMOUNT']) &&
        isset($_POST['LMI_PAYMENT_NO'])) {

        /* Проверка */

        $strow->execute(array($_POST['LMI_PAYMENT_NO']));
        $row = $strow->fetch(PDO::FETCH_LAZY);

        if (!$row)
            exit('ERR: ПОПЫТКА ПОДМЕНЫ ПЛАТЕЖА!');

        if ($row['sum'] != $_POST['LMI_PAYMENT_AMOUNT'])
            exit('ERR: ПОПЫТКА ПОДМЕНЫ СУММЫ!');

        if ($wm_wmr != $_POST['LMI_PAYEE_PURSE'])
            exit('ERR: НЕВЕРНЫЙ КОШЕЛЕК ПОЛУЧАТЕЛЯ!');
 
        if (isset($_POST['LMI_PREREQUEST']))
            exit('YES');

        /* if ($pay_array['hash'] != $_POST['LMI_SECRET_KEY'])
            exit('ERR: НЕВЕРНЫЙ SECRET KEY!'); */

        if (isset($_POST['LMI_MODE']) &&
            isset($_POST['LMI_SYS_INVS_NO']) &&
            isset($_POST['LMI_SYS_TRANS_NO']) &&
            isset($_POST['LMI_SYS_TRANS_DATE']) &&
            isset($_POST['LMI_PAYER_PURSE']) &&
            isset($_POST['LMI_PAYER_WM']) &&
            isset($_POST['LMI_HASH'])) { 

            $hash = strtoupper(hash('sha256',

                $wm_wmr.
                $_POST['LMI_PAYMENT_AMOUNT'].
                $_POST['LMI_PAYMENT_NO'].
                $_POST['LMI_MODE'].
                $_POST['LMI_SYS_INVS_NO'].
                $_POST['LMI_SYS_TRANS_NO'].
                $_POST['LMI_SYS_TRANS_DATE'].
                $wm_hash.
                $_POST['LMI_PAYER_PURSE'].
                $_POST['LMI_PAYER_WM']

            ));

            if ($hash != $_POST['LMI_HASH'])
                exit('ERR: ПОПЫТКА ПОДМЕНЫ КОНТРОЛЬНОЙ ПОДПИСИ!');

            /* Активация */

            $active->execute(array($_POST['LMI_PAYMENT_NO']));

        }

    }

}

 ?>