<?php

require_once(__DIR__."/data_filter.php"); // filter
require_once(__DIR__."/connect.php"); // MySQL

/* Вывод рекламы */

$data = $connect->prepare("select * from `rek` where `status` = '1' and `expire` > :time order by `expire` desc");
$data->bindValue(':time', time(), PDO::PARAM_INT);
$data->execute();
$sql = $data->fetchAll();

foreach ($sql as $row) {

    $name = $row['color'] ? '<font color="'.$row['color'].'">'.$row['name'].'</font>' : $row['name'];

    echo '<div><a href="'.$row['url'].'" target="_blank" class="links"><img src="http://www.google.com/s2/favicons?domain='.$row['url'].'" alt="favicon">'.$name.'</a>
    '.($row['comment'] ? '<br/><small>'.$row['comment'].'</small>' : '').'
    </div>';

}

?>