<?php

/* WapKassa */

require_once($_SERVER["DOCUMENT_ROOT"]."/inc/data_filter.php");
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/connect.php");
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/payment.php");
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/price.php");

if ($wpk_id && $wpk_hash) {

    $strow = $connect->prepare("select * from `rek` where `num` = ?");
    $active = $connect->prepare("update `rek` set `status` = '1' where `num` = ?");

    if (isset($_POST['WK_PAY_ID']) &&
        isset($_POST['WK_PAY_AMOUNT']) &&
        isset($_POST['WK_PAY_TIME']) &&
        isset($_POST['WK_PAY_HASH'])) {

        /* Проверка */

        $strow->execute(array($_POST['WK_PAY_ID']));
        $row = $strow->fetch(PDO::FETCH_LAZY);

        if (!$row)
            exit('ERR: ПОПЫТКА ПОДМЕНЫ ПЛАТЕЖА!');

        if ($row['sum'] != $_POST['WK_PAY_AMOUNT'])
            exit('ERR: ПОПЫТКА ПОДМЕНЫ СУММЫ!');

        $hash = strtoupper(hash('sha256',

            $wpk_id.
            $_POST['WK_PAY_AMOUNT'].
            $_POST['WK_PAY_TIME'].
            $wpk_hash

        ));

        if ($hash != $_POST['WK_PAY_HASH'])
            exit('ERR: ПОПЫТКА ПОДМЕНЫ КОНТРОЛЬНОЙ ПОДПИСИ!');

        /* Активация */

        $active->execute(array($_POST['WK_PAY_ID']));

    }

}

 ?>