<?php

/* WorldKassa */

require_once($_SERVER["DOCUMENT_ROOT"]."/inc/data_filter.php");
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/connect.php");
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/payment.php");
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/price.php");

if ($wk_id && $wk_hash) {

    $strow = $connect->prepare("select * from `rek` where `num` = ?");
    $active = $connect->prepare("update `rek` set `status` = '1' where `num` = ?");

    if (isset($_POST['id_shop']) && is_numeric($_POST['id_shop']) &&
        isset($_POST['id_bill']) && is_numeric($_POST['id_bill']) &&
        isset($_POST['summa']) && is_numeric($_POST['summa']) &&
        isset($_POST['hash'])) {

        /* Проверка */

        $strow->execute(array($_POST['id_bill']));
        $row = $strow->fetch(PDO::FETCH_LAZY);

        if (!$row)
            exit('ERR: ПОПЫТКА ПОДМЕНЫ ПЛАТЕЖА!');

        if ($_POST['summa'] < $row['sum'])
            exit('ERR: ПОПЫТКА ПОДМЕНЫ СУММЫ!');

        $hash = md5(

            $wk_hash.
            $wk_id.
            $_POST['id_bill'].
            $_POST['summa']

        );

        if ($hash != $_POST['hash'])
            exit('ERR: ПОПЫТКА ПОДМЕНЫ КОНТРОЛЬНОЙ ПОДПИСИ!');
 
        /* Активация */

        $active->execute(array($_POST['id_bill']));

    }

}

 ?>